AddApplicationServicesForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.application.inventory.AddApplicationServicesForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.application.inventory
Class AddApplicationServicesForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.resource.application.inventory.AddApplicationServicesForm

All Implemented Interfaces:
  java.io.Serializable

    public class AddApplicationServicesForm

extends BaseValidatorForm

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`AddApplicationServicesForm()`

Method Summary
`java.lang.Integer` | `getAppSvcId()`
`java.lang.String[]` | `getAvailableServices()`
`java.lang.String` | `getNameFilter()`
`java.lang.String[]` | `getPendingServices()`
`java.lang.Integer` | `getPsa()`
`java.lang.Integer` | `getPsp()`
`java.lang.Integer` | `getRid()`
`java.lang.Integer` | `getType()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setAppSvcId(java.lang.Integer integer)`
`void` | `setAvailableServices(java.lang.String[] availableServices)`
`void` | `setNameFilter(java.lang.String s)`
`void` | `setPendingServices(java.lang.String[] pendingServices)`
`void` | `setPsa(java.lang.Integer ps)`
`void` | `setPsp(java.lang.Integer ps)`
`void` | `setRid(java.lang.Integer rid)`
`void` | `setType(java.lang.Integer type)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate, validate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddApplicationServicesForm

    public AddApplicationServicesForm()

Method Detail

### getAvailableServices

    public java.lang.String[] getAvailableServices()

### setAvailableServices

    public void setAvailableServices(java.lang.String[] availableServices)

### getPendingServices

    public java.lang.String[] getPendingServices()

### setPendingServices

    public void setPendingServices(java.lang.String[] pendingServices)

### getPsa

    public java.lang.Integer getPsa()

### setPsa

    public void setPsa(java.lang.Integer ps)

### getPsp

    public java.lang.Integer getPsp()

### setPsp

    public void setPsp(java.lang.Integer ps)

### getRid

    public java.lang.Integer getRid()

### setRid

    public void setRid(java.lang.Integer rid)

### getType

    public java.lang.Integer getType()

### setType

    public void setType(java.lang.Integer type)

### getAppSvcId

    public java.lang.Integer getAppSvcId()

  Returns:

### setAppSvcId

    public void setAppSvcId(java.lang.Integer integer)

  Parameters:
    `integer` -

### getNameFilter

    public java.lang.String getNameFilter()

### setNameFilter

    public void setNameFilter(java.lang.String s)

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `BaseValidatorForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.